HOWTO: Обновляемся до Fedora Core 2 - Test1, используя apt.

В статье рассказывается, как обновить Fedora Core Test 1 через Интернет, используя apt.

[Гевин Генри (Gavin Henry). Перевод: LinuxClub.by]

HOWTO: Обновляемся до Fedora Core 2 - Test1, используя apt.

Ниже следует вольный перевод статьи “Upgrade to Fedora Core 2 - Test1, with apt.” от 08 Марта, опубликованной FedoraNews (автор Gavin Henry).

Предисловие:

Как вы все знаете, Test1 вышел несколько недель назад. Прежде чем обновиться, я решил немного выждать, пока страсти поулягутся. Итак, вот мой метод обновления дистрибутива Fedora Core 1 до Fedora Core 2 Test1.

Необходимые обновления:

Загрузите следующие пакеты в отдельную директорию:

  • beecrypt-3.1.0-1.i386.rpm
  • beecrypt-devel-3.1.0-1.i386.rpm
  • beecrypt-python-3.1.0-1.i386.rpm
  • popt-1.9-0.9.1.i386.rpm
  • rpm-4.3-0.9.1.i386.rpm
  • rpm-build-4.3-0.9.1.i386.rpm
  • rpm-devel-4.3-0.9.1.i386.rpm
  • rpm-python-4.3-0.9.1.i386.rpm
  • rpmdb-fedora-1.90-0.20040210.i386.rpm
  • apt-0.5.15cnc5-0.fdr.10.1.90.i386.rpm
  • apt-devel-0.5.15cnc5-0.fdr.10.1.90.i386.rpm
  • apt-python-0.5.15cnc5-0.fdr.10.1.90.i386.rpm

Пакеты можно найти здесь

После чего выполните в директории, в которую вы их сохранили:

rpm -Fvh *.rpm

Выбор репозитария для загрузки:

Самый быстрый способ сделать это - выполнить следующую команду:

apt-get mirror-select

Я выбрал неплохой недалеко от UK (Примечание переводчика: для Белорусских пользователей лучше поискать что-нибудь в России или США).

Теперь ваш /etc/apt/sources.list должен выглядеть примерно так:

# Please choose the nearest mirror http://www.fedora.us/wiki/FedoraMirrorList

#Fedora 2 Test1 stable - Official
#rpm http://download.fedora.us fedora/fedora/1.90/i386 os stable testing unstable
#rpm-src http://download.fedora.us fedora/fedora/1.90/i386 os stable testing updates

#Fedora 2 Test1 - Spanish mirror, due to UK one slow updating.
rpm http://sunsite.rediris.es/mirror/fedora.us fedora/fedora/1.90/i386 os stable testing unstable
rpm-src http://sunsite.rediris.es/mirror/fedora.us fedora/fedora/1.90/i386 os stable testing unstable

После того как мы выбрали подходящее зеркало, выполняем:

apt-get update

и наконец-то:

apt-get dist-upgrade

Если вы вдруг захотите разрешить повторяющееся пакеты (duplicate packages) или еще что-нибудь в этом роде, сделать это можно в этом файле:

/etc/apt/apt.conf

Подробнее об работе с apt.conf можно узнать введя следующую команду:

man apt.conf

Мои результаты обновления:

После того как я ввел:

apt-get dist-upgrade

Я получил следующее:

Reading Package Lists…
Building Dependency Tree…
The following packages will be upgraded
Canna (3.6-24 => 3.7p1-2)
Canna-libs (3.6-24 => 3.7p1-2)
FreeWnn (1.11-39 => 1.11-41)
FreeWnn-common (1.11-39 => 1.11-41)
FreeWnn-devel (1.11-39 => 1.11-41)
FreeWnn-libs (1.11-39 => 1.11-41)
GConf2 (2.4.0-1 => 2.5.1-2)
GConf2-devel (2.4.0-1 => 2.5.1-2)
ImageMagick (5.5.6-5 => 5.5.7.15-0.2)
ImageMagick-c++ (5.5.6-5 => 5.5.7.15-0.2)
ImageMagick-c++-devel (5.5.6-5 => 5.5.7.15-0.2)
ImageMagick-devel (5.5.6-5 => 5.5.7.15-0.2)
ImageMagick-perl (5.5.6-5 => 5.5.7.15-0.2)
MAKEDEV (3.3.8-2 => 3.3.12-1)
MagicPoint (1.10a-4 => 1.10a-5)
MySQL-python (0.9.1-9 => 0.9.1-10)
ORBit2 (2.8.2-1 => 2.9.6-1)
ORBit2-devel (2.8.2-1 => 2.9.6-1)
Omni (0.9.0-4 => 0.9.1-2)
Omni-foomatic (0.9.0-4 => 0.9.1-2)
PyQt (3.8.1-2 => 3.8.1-3)
PyQt-devel (3.8.1-2 => 3.8.1-3)
PyQt-examples (3.8.1-2 => 3.8.1-3)
PyXML (0.8.3-1 => 0.8.3-3)
SDL (1.2.6-1 => 1.2.6-3)
SDL-devel (1.2.6-1 => 1.2.6-3)
SysVinit (2.85-5 => 2.85-15)
VFlib2 (2.25.6-18 => 2.25.6-19)
VFlib2-VFjfm (2.25.6-18 => 2.25.6-19)
VFlib2-conf-ja (2.25.6-18 => 2.25.6-19)
VFlib2-devel (2.25.6-18 => 2.25.6-19)
Xaw3d (1.5-19 => 1.5-20)
Xaw3d-devel (1.5-19 => 1.5-20)
a2ps (4.13b-30 => 4.13b-33)
alchemist (1.0.27-3 => 1.0.31-1)
alchemist-devel (1.0.27-3 => 1.0.31-1)
am-utils (6.0.9-4 => 6.0.9-5)
amanda (2.4.4p1-1 => 2.4.4p2-1)
amanda-client (2.4.4p1-1 => 2.4.4p2-1)
anaconda (9.2-2 => 9.90-6)
anaconda-images (9.2-3 => 9.2.90-1)
anaconda-runtime (9.2-2 => 9.90-6)
apr (0.9.4-2 => 0.9.4-4)
apr-util (0.9.4-2 => 0.9.4-6)
arpwatch (2.1a11-16 => 2.1a11-17)
ash (0.3.8-15 => 0.3.8-17)
asp2php (0.76.2-6 => 0.76.18-1)
asp2php-gtk (0.76.2-6 => 0.76.18-1)
aspell (0.50.3-16 => 0.50.3-18)
aspell-devel (0.50.3-16 => 0.50.3-18)
at (3.1.8-46.1 => 3.1.8-49)
atk (1.4.0-1 => 1.5.2-1)
atk-devel (1.4.0-1 => 1.5.2-1)
authconfig (4.3.8-1 => 4.6-1)
authconfig-gtk (4.3.8-1 => 4.6-1)
autoconf (2.59-0_9.rhfc1.at => 2.59-2)
autoconf213 (2.13-6_2.rhfc1.at => 2.13-7)
automake (1.7.9-0_17.rhfc1.at => 1.8.2-1)
automake14 (1.4p6-7_1.rhfc1.at => 1.4p6-8)
autorun (3.11-1 => 3.12-1)
bash (2.05b-34 => 2.05b-36)
beecrypt (3.0.1-0.20030630.1 => 3.1.0-1)
beecrypt-devel (3.0.1-0.20030630.1 => 3.1.0-1)
beecrypt-python (3.0.1-0.20030630.1 => 3.1.0-1)
bind (9.2.2.P3-9 => 9.2.3-5)
bind-chroot (9.2.2.P3-9 => 9.2.3-5)
bind-devel (9.2.2.P3-9 => 9.2.3-5)
bind-utils (9.2.2.P3-9 => 9.2.3-5)
binutils (2.14.90.0.6-4 => 2.14.90.0.8-4)
bison (1.875-5 => 1.875-6)
blas (3.0-22 => 3.0-23)
bogl (0.1.9-26 => 0.1.9-28)
booty (0.31.1-2 => 0.33-1)
bug-buddy (2.4.0-1 => 2.5.2-1)
busybox (0.60.5-6 => 1.00.pre5-2)
busybox-anaconda (0.60.5-6 => 1.00.pre5-2)
caching-nameserver (7.2-10 => 7.2-11)
cdda2wav (2.01-0.a19.2 => 2.01-0.a25.2)
cdrdao (1.1.7-7 => 1.1.7-8.atapi.1)
cdrecord (2.01-0.a19.2 => 2.01-0.a25.2)
ckermit (8.0.209-4 => 8.0.209-5)
compat-db (4.0.14-2 => 4.1.25-1)
compat-pwdb (0.62-4 => 0.62-6.sel)
comps (1-0.20031103 => 1.90-0.20040204)
comps-extras (9.0.3-2 => 9.2-1)
control-center (2.4.0-3 => 2.5.2-3)
coreutils (5.0-24 => 5.0-39)
cpp (3.3.2-6 => 3.3.2-8)
cracklib (2.7-23 => 2.7-24)
cracklib-dicts (2.7-23 => 2.7-24)
cups (1.1.19-13 => 1.1.20-2)
cups-devel (1.1.19-13 => 1.1.20-2)
cups-libs (1.1.19-13 => 1.1.20-2)
cvs (1.11.5-3 => 1.11.11-1)
cyrus-sasl (2.1.15-6 => 2.1.17-1)
cyrus-sasl-devel (2.1.15-6 => 2.1.17-1)
cyrus-sasl-gssapi (2.1.15-6 => 2.1.17-1)
cyrus-sasl-md5 (2.1.15-6 => 2.1.17-1)
cyrus-sasl-plain (2.1.15-6 => 2.1.17-1)
db4 (4.1.25-14 => 4.2.52-2)
db4-devel (4.1.25-14 => 4.2.52-2)
db4-utils (4.1.25-14 => 4.2.52-2)
ddd (3.3.7-3 => 3.3.8-2)
ddskk (11.6.0-12 => 12.2.0-1)
ddskk-xemacs (11.6.0-12 => 12.2.0-1)
dev (3.3.8-2 => 3.3.12-1)
device-mapper (1.00.07-1 => 1.00.07-2)
dhclient (3.0pl2-6.16 => 3.0.1rc12-1)
dhcp (3.0pl2-6.16 => 3.0.1rc12-1)
dhcp-devel (3.0pl2-6.16 => 3.0.1rc12-1)
dialog (0.9b-20031002.1 => 0.9b-20031207.1)
dietlibc (0.21-8 => 0.24-2)
diffutils (2.8.1-9 => 2.8.1-10)
docbook-style-xsl (1.61.2-2.1_6.at => 1.64.1-6)
docbook-utils (0.6.13-7_2.at => 0.6.13-9)
docbook-utils-pdf (0.6.13-7_2.at => 0.6.13-9)
doxygen (1.3.4-1 => 1.3.5-1)
doxygen-doxywizard (1.3.4-1 => 1.3.5-1)
e2fsprogs (1.34-1 => 1.35-4)
e2fsprogs-devel (1.34-1 => 1.35-4)
eel2 (2.4.0-1 => 2.5.6-1)
eel2-devel (2.4.0-1 => 2.5.6-1)
elfutils (0.89-2 => 0.89-3)
elfutils-devel (0.89-2 => 0.89-3)
elfutils-libelf (0.89-2 => 0.89-3)
elinks (0.4.2-7.1 => 0.4.3-1)
emacs (21.3-7 => 21.3-9)
emacs-el (21.3-7 => 21.3-9)
emacs-leim (21.3-7 => 21.3-9)
eog (2.4.0-1 => 2.5.3-1)
eruby (1.0.3-4 => 1.0.5-1)
eruby-devel (1.0.3-4 => 1.0.5-1)
eruby-libs (1.0.3-4 => 1.0.5-1)
esound (0.2.31-1 => 0.2.32-2)
esound-devel (0.2.31-1 => 0.2.32-2)
ethereal (0.10.0a-0.1 => 0.10.0a-2)
ethereal-gnome (0.10.0a-0.1 => 0.10.0a-2)
expect (5.39.0-93 => 5.39.0-95)
fedora-logos (1.1.20-1 => 1.1.20.2-1)
fedora-release (1-3 => 1.90-11)
file (4.02-2 => 4.07-1)
file-roller (2.4.0.1-1 => 2.5.2-1)
filesystem (2.2.1-5 => 2.2.3-1)
findutils (4.1.7-17 => 4.1.7-20)
firstboot (1.2.4-1 => 1.3.3-3)
foomatic (3.0.0-21.3 => 3.0.0-22)
freeciv (1.14.0-2 => 1.14.1-1)
freetype (2.1.4-5 => 2.1.7-1)
freetype-demos (2.1.4-5 => 2.1.7-1)
freetype-devel (2.1.4-5 => 2.1.7-1)
freetype-utils (2.1.4-5 => 2.1.7-1)
ftpcopy (0.6.2-3 => 0.6.2-4)
gail (1.4.0-1 => 1.5.3-1)
gail-devel (1.4.0-1 => 1.5.3-1)
gawk (3.1.3-3 => 3.1.3-6)
gcc (3.3.2-6 => 3.3.2-8)
gcc-c++ (3.3.2-6 => 3.3.2-8)
gconf-editor (2.4.0-1 => 2.5.1-1)
gdb (5.3.90-0.20030710.41 => 6.0post-0.20031117.7)
gedit (2.4.0-3 => 2.5.3-1)
gftp (2.0.14-5 => 2.0.16-1)
ggv (2.4.0.1-1 => 2.5.2-1)
ghostscript (7.07-15.1 => 7.07-19)
ghostscript-devel (7.07-15.1 => 7.07-19)
ghostscript-fonts (5.50-9 => 5.50-10)
glib2 (2.2.3-1.1 => 2.3.2-1)
glib2-devel (2.2.3-1.1 => 2.3.2-1)
glibc (2.3.2-101.4 => 2.3.3-7)
glibc-common (2.3.2-101.4 => 2.3.3-7)
glibc-devel (2.3.2-101.4 => 2.3.3-7)
glibc-headers (2.3.2-101.4 => 2.3.3-7)
glibc-kernheaders (2.4-8.36 => 2.4-8.43)
gmp (4.1.2-9 => 4.1.2-11)
gmp-devel (4.1.2-9 => 4.1.2-11)
gnome-applets (2.4.1-1 => 2.5.4-1)
gnome-desktop (2.4.0-1 => 2.5.3-1)
gnome-desktop-devel (2.4.0-1 => 2.5.3-1)
gnome-games (2.4.0-3 => 2.5.5-1)
gnome-icon-theme (1.0.9-2 => 1.1.5-1)
gnome-libs (1.4.1.2.90-36 => 1.4.1.2.90-37)
gnome-libs-devel (1.4.1.2.90-36 => 1.4.1.2.90-37)
gnome-media (2.4.0-2 => 2.5.2-1)
gnome-mime-data (2.4.0-2 => 2.4.1-1)
gnome-panel (2.4.2-3 => 2.5.3.1-2)
gnome-pilot (2.0.10-4 => 2.0.10-5)
gnome-pilot-devel (2.0.10-4 => 2.0.10-5)
gnome-python2 (2.0.0-2 => 2.0.0-3)
gnome-python2-applet (2.0.0-2 => 2.0.0-3)
gnome-python2-bonobo (2.0.0-2 => 2.0.0-3)
gnome-python2-canvas (2.0.0-2 => 2.0.0-3)
gnome-python2-gconf (2.0.0-2 => 2.0.0-3)
gnome-python2-gtkhtml2 (2.0.0-2 => 2.0.0-3)
gnome-python2-nautilus (2.0.0-2 => 2.0.0-3)
gnome-session (2.4.0-1 => 2.5.3-1)
gnome-system-monitor (2.4.0-1 => 2.5.2-1)
gnome-terminal (2.4.0.1-1 => 2.5.1-1)
gnome-user-docs (2.0.1-3 => 2.4.1-1)
gnome-utils (2.4.0-1 => 2.5.2-1)
gnome-vfs2 (2.4.1-1 => 2.5.6-1)
gnome-vfs2-devel (2.4.1-1 => 2.5.6-1)
gnuchess (5.06-2 => 5.07-1)
gphoto2 (2.1.3-1 => 2.1.4-1)
gphoto2-devel (2.1.3-1 => 2.1.4-1)
grep (2.5.1-17.4 => 2.5.1-24)
grub (0.93-7 => 0.93-8)
gstreamer (0.6.5-1 => 0.7.3-3)
gstreamer-plugins (0.6.4-3 => 0.7.3-2)
gstreamer-tools (0.6.5-1 => 0.7.3-3)
gtk2 (2.2.4-5.1 => 2.3.2-2)
gtk2-devel (2.2.4-5.1 => 2.3.2-2)
gtkam (0.1.7-6.1 => 0.1.7-7)
gtkam-gimp (0.1.7-6.1 => 0.1.7-7)
gtkhtml2 (2.4.0-1 => 2.5.2-1)
gtkhtml2-devel (2.4.0-1 => 2.5.2-1)
gtksourceview (0.6.0-2 => 0.8.0-1)
gtkspell (2.0.4-2 => 2.0.4-3)
hotplug (2003_08_05-1 => 2004_01_05-1)
hpijs (1.5-4.1 => 1.5-5)
httpd (2.0.48-1.2 => 2.0.48-10)
httpd-manual (2.0.48-1.2 => 2.0.48-10)
hwbrowser (0.12-1 => 0.14-1)
hwdata (0.103.1-1 => 0.105-1)
indent (2.2.9-3 => 2.2.9-4)
indexhtml (1-2 => 1.90-2)
inews (2.3.5-6 => 2.3.5-7)
info (4.5-2 => 4.6-1)
initscripts (7.42.2-1 => 7.46-1)
iptables (1.2.9-1.0 => 1.2.9-1.2)
iptables-ipv6 (1.2.9-1.0 => 1.2.9-1.2)
iputils (20020927-9.1 => 20020927-12)
ipxutils (2.2.3-1 => 2.2.3-2)
irb (1.8.0-1 => 1.8.0-3)
irda-utils (0.9.15-1.1 => 0.9.15-3)
isdn4k-utils (3.2-5.p1 => 3.2-10.p1)
isdn4k-utils-devel (3.2-5.p1 => 3.2-10.p1)
isdn4k-utils-vboxgetty (3.2-5.p1 => 3.2-10.p1)
joe (2.9.8-4 => 2.9.8-7)
jwhois (3.2.2-1.1 => 3.2.2-2)
kakasi (2.3.4-13 => 2.3.4-14)
kakasi-devel (2.3.4-13 => 2.3.4-14)
kakasi-dict (2.3.4-13 => 2.3.4-14)
kbd (1.08-11 => 1.08-12)
kdbg (1.2.9-1 => 1.2.9-2)
kde-i18n-British (3.1.4-1 => 3.1.95-0.1)
kernel-utils (2.4-9.1.101.fedora => 2.4-9.1.115)
kinput2-canna-wnn6 (v3.1-11 => v3.1-13)
koffice-devel (1.2.1-15 => 1.3-2)
krb5-devel (1.3.1-6 => 1.3.1-7)
krb5-libs (1.3.1-6 => 1.3.1-7)
krb5-workstation (1.3.1-6 => 1.3.1-7)
kudzu (1.1.36.1-1 => 1.1.43-1)
kudzu-devel (1.1.36.1-1 => 1.1.43-1)
lapack (3.0-22 => 3.0-23)
less (378-11.1 => 381-2)
libIDL (0.8.2-1 => 0.8.3-1)
libIDL-devel (0.8.2-1 => 0.8.3-1)
libao (0.8.3-5 => 0.8.4-1)
libao-devel (0.8.3-5 => 0.8.4-1)
libbonobo (2.4.0-1 => 2.5.3-1)
libbonobo-devel (2.4.0-1 => 2.5.3-1)
libbonoboui (2.4.0-1 => 2.5.2-1)
libbonoboui-devel (2.4.0-1 => 2.5.2-1)
libcap (1.10-16 => 1.10-17)
libcap-devel (1.10-16 => 1.10-17)
libcroco (0.3.0-1 => 0.4.0-1)
libesmtp (1.0.1-1 => 1.0.2-1)
libesmtp-devel (1.0.1-1 => 1.0.2-1)
libgcc (3.3.2-6 => 3.3.2-8)
libgcj (3.3.2-6 => 3.3.2-8)
libglade2 (2.0.1-5.1 => 2.3.2-1)
libglade2-devel (2.0.1-5.1 => 2.3.2-1)
libgnome (2.4.0-1 => 2.5.3-1)
libgnome-devel (2.4.0-1 => 2.5.3-1)
libgnomecanvas (2.4.0-1 => 2.5.3-1)
libgnomecanvas-devel (2.4.0-1 => 2.5.3-1)
libgnomeprint22 (2.4.0-1 => 2.5.1-1)
libgnomeprintui22 (2.4.0-1 => 2.5.1-1)
libgnomeui (2.4.0.1-1 => 2.5.3-2)
libgnomeui-devel (2.4.0.1-1 => 2.5.3-2)
libgtop2 (2.0.3-1 => 2.5.0-1)
libgtop2-devel (2.0.3-1 => 2.5.0-1)
libobjc (3.3.2-6 => 3.3.2-8)
libogg (1.0-5_1.rhfc1.at => 1.1-1)
libogg-devel (1.0-5_1.rhfc1.at => 1.1-1)
libpcap (0.7.2-8.fc1.1 => 0.8.1-4)
librep (0.16.1-3 => 0.16.1-4)
librep-devel (0.16.1-3 => 0.16.1-4)
librsvg2 (2.4.0-3 => 2.5.0-1)
librsvg2-devel (2.4.0-3 => 2.5.0-1)
libstdc++ (3.3.2-6 => 3.3.2-8)
libstdc++-devel (3.3.2-6 => 3.3.2-8)
libuser (0.51.7-2 => 0.51.7-7)
libuser-devel (0.51.7-2 => 0.51.7-7)
libvorbis (1.0-8_1.rhfc1.at => 1.0.1-1)
libvorbis-devel (1.0-8_1.rhfc1.at => 1.0.1-1)
libwnck (2.4.0.1-1 => 2.5.1-1)
libwnck-devel (2.4.0.1-1 => 2.5.1-1)
licq (1.2.6-1 => 1.2.7-1)
licq-gnome (1.2.6-1 => 1.2.7-1)
licq-kde (1.2.6-1 => 1.2.7-1)
licq-qt (1.2.6-1 => 1.2.7-1)
licq-text (1.2.6-1 => 1.2.7-1)
logrotate (3.6.10-1 => 3.7-4)
lv (4.49.5-2 => 4.51-1)
lynx (2.8.5-13 => 2.8.5-14)
man-pages (1.60-4 => 1.64-2)
mc (4.6.0-8.4 => 4.6.0-9)
mgetty (1.1.30-4 => 1.1.30-5)
mgetty-sendfax (1.1.30-4 => 1.1.30-5)
mgetty-viewfax (1.1.30-4 => 1.1.30-5)
mgetty-voice (1.1.30-4 => 1.1.30-5)
mingetty (1.06-2 => 1.07-1)
mkinitrd (3.5.17-1 => 3.5.18-1)
mktemp (1.5.1-1 => 1.5-6)
modutils (2.4.25-13 => 2.4.26-3)
mozplugger (1.3.2-1 => 1.5.0-1)
mtools (3.9.9-4 => 3.9.9-7)
mtr (0.52-3 => 0.54-1)
mtr-gtk (0.52-3 => 0.54-1)
mtx (1.2.18-1 => 1.2.18-2)
mx (2.0.3-9 => 2.0.5-1)
mysql (3.23.58-4 => 3.23.58-5)
mysql-devel (3.23.58-4 => 3.23.58-5)
mysql-server (3.23.58-4 => 3.23.58-5)
nautilus (2.4.0-7 => 2.5.6-1)
nautilus-cd-burner (0.5.3-1 => 0.6.4-1)
ncftp (3.1.6-2 => 3.1.7-1)
ncpfs (2.2.3-1 => 2.2.3-2)
ncurses (5.3-9 => 5.3-10)
ncurses-c++-devel (5.3-9 => 5.3-10)
ncurses-devel (5.3-9 => 5.3-10)
nedit (5.3-5 => 5.3-6)
net-snmp (5.1-2.1 => 5.1-8)
net-snmp-devel (5.1-2.1 => 5.1-8)
net-snmp-utils (5.1-2.1 => 5.1-8)
netatalk (1.5.5-9 => 1.6.4-1)
netatalk-devel (1.5.5-9 => 1.6.4-1)
netconfig (0.8.19-2 => 0.8.20-1)
netpbm (9.24-12.1.1 => 10.19-2)
netpbm-devel (9.24-12.1.1 => 10.19-2)
netpbm-progs (9.24-12.1.1 => 10.19-2)
newt (0.51.6-1 => 0.51.6-2)
newt-devel (0.51.6-1 => 0.51.6-2)
nkf (2.03-1 => 2.04-1)
nmap (3.48-2.fr => 3.50-2)
nscd (2.3.2-101.4 => 2.3.3-7)
nss_db (2.2-22 => 2.2-24)
nss_db-compat (2.2-22 => 2.2-24)
nvi-m17n (1.79-20011024.15 => 1.79-20011024.16)
nvi-m17n-canna (1.79-20011024.15 => 1.79-20011024.16)
nvi-m17n-nocanna (1.79-20011024.15 => 1.79-20011024.16)
openjade (1.3.2-8_5.rhfc1.at => 1.3.2-9)
openjade-devel (1.3.2-8_5.rhfc1.at => 1.3.2-9)
openldap (2.1.22-8 => 2.1.25-1)
openldap-clients (2.1.22-8 => 2.1.25-1)
openldap-devel (2.1.22-8 => 2.1.25-1)
openldap-servers (2.1.22-8 => 2.1.25-1)
openmotif (2.2.2-16.1 => 2.2.2-16.2)
openmotif-devel (2.2.2-16.1 => 2.2.2-16.2)
openssh (3.6.1p2-19 => 3.6.1p2-27)
openssh-askpass (3.6.1p2-19 => 3.6.1p2-27)
openssh-askpass-gnome (3.6.1p2-19 => 3.6.1p2-27)
openssh-clients (3.6.1p2-19 => 3.6.1p2-27)
openssh-server (3.6.1p2-19 => 3.6.1p2-27)
openssl (0.9.7a-23 => 0.9.7a-26)
openssl-devel (0.9.7a-23 => 0.9.7a-26)
openssl-perl (0.9.7a-23 => 0.9.7a-26)
oprofile (0.7cvs-0.20030829.6 => 0.8-0.20040121.1)
pam (0.77-15 => 0.77-30)
pam-devel (0.77-15 => 0.77-30)
pan (0.14.2-2 => 0.14.2-3)
pango (1.2.5-4 => 1.3.2-2)
pango-devel (1.2.5-4 => 1.3.2-2)
parted (1.6.3-31 => 1.6.3-33)
parted-devel (1.6.3-31 => 1.6.3-33)
passivetex (1.25-0_2.rhfc1.at => 1.25-1)
passwd (0.68-4 => 0.68-7)
patchutils (0.2.24-2 => 0.2.26-1)
pccts (1.33mr33-6 => 1.33mr33-7)
pciutils (2.1.10-8 => 2.1.11-4)
pciutils-devel (2.1.10-8 => 2.1.11-4)
perl-DBD-Pg (1.22-1 => 1.31-1)
perl-DBI (1.37-1 => 1.39-1)
perl-NKF (2.03-1 => 2.04-1)
php (4.3.4-1.1 => 4.3.4-7)
php-devel (4.3.4-1.1 => 4.3.4-7)
php-ldap (4.3.4-1.1 => 4.3.4-7)
php-mysql (4.3.4-1.1 => 4.3.4-7)
pinfo (0.6.7-2 => 0.6.8-3)
pmake (1.45-12 => 1.45-13)
popt (1.8.1-0.30 => 1.9-0.9.1)
postgresql (7.3.4-11 => 7.4-5)
postgresql-contrib (7.3.4-11 => 7.4-5)
postgresql-devel (7.3.4-11 => 7.4-5)
postgresql-docs (7.3.4-11 => 7.4-5)
postgresql-jdbc (7.3.4-11 => 7.4-5)
postgresql-libs (7.3.4-11 => 7.4-5)
postgresql-pl (7.3.4-11 => 7.4-5)
postgresql-python (7.3.4-11 => 7.4-5)
postgresql-server (7.3.4-11 => 7.4-5)
postgresql-tcl (7.3.4-11 => 7.4-5)
postgresql-test (7.3.4-11 => 7.4-5)
prelink (0.3.0-13 => 0.3.0-20)
procinfo (18-9 => 18-11)
procmail (3.22-11 => 3.22-12)
procps (2.0.17-5 => 3.1.15-3)
psmisc (21.3-2.RHEL.0 => 21.3-7)
pump-devel (0.8.19-2 => 0.8.20-1)
pyOpenSSL (0.5.1-11 => 0.5.1-20)
pychecker (0.8.12-1 => 0.8.13-1)
pygtk2 (2.0.0-1 => 2.0.0-2)
pygtk2-devel (2.0.0-1 => 2.0.0-2)
pygtk2-libglade (2.0.0-1 => 2.0.0-2)
pyorbit (2.0.0-1 => 2.0.0-2)
pyorbit-devel (2.0.0-1 => 2.0.0-2)
python (2.2.3-7 => 2.3.3-1)
python-devel (2.2.3-7 => 2.3.3-1)
python-docs (2.2.3-7 => 2.3.3-1)
python-optik (1.4.1-1 => 1.4.1-4)
python-tools (2.2.3-7 => 2.3.3-1)
pyxf86config (0.3.12-1_1.rhfc1.at => 0.3.13-2)
quota (3.06-11 => 3.10-1)
rdist (6.1.5-30.1 => 6.1.5-32)
readline (4.3-7 => 4.3-9)
readline-devel (4.3-7 => 4.3-9)
readline41 (4.1-17 => 4.1-18)
recode (3.6-9 => 3.6-10)
recode-devel (3.6-9 => 3.6-10)
redhat-artwork (0.90-0.1 => 0.90-1)
reiserfs-utils (3.6.8-1.1 => 3.6.11-1)
rhn-applet (2.1.4-3 => 2.1.7-1)
rhnlib (1.4-1 => 1.4-10)
rhpl (0.121-1 => 0.124.1-1)
rpm (4.2.1-0.30 => 4.3-0.9.1)
rpm-build (4.2.1-0.30 => 4.3-0.9.1)
rpm-devel (4.2.1-0.30 => 4.3-0.9.1)
rpm-python (4.2.1-0.30 => 4.3-0.9.1)
rpmdb-fedora (1-0.20031103 => 1.90-0.20040210)
rsync (2.5.7-2 => 2.6.0-0)
ruby (1.8.0-1 => 1.8.0-3)
ruby-devel (1.8.0-1 => 1.8.0-3)
ruby-docs (1.8.0-1 => 1.8.0-3)
ruby-libs (1.8.0-1 => 1.8.0-3)
ruby-mode (1.8.0-1 => 1.8.0-3)
ruby-tcltk (1.8.0-1 => 1.8.0-3)
rusers (0.17-32 => 0.17-35)
rusers-server (0.17-32 => 0.17-35)
sane-backends (1.0.12-4 => 1.0.13-3)
sane-backends-devel (1.0.12-4 => 1.0.13-3)
sash (3.4-17 => 3.6-1)
screen (3.9.15-11 => 4.0.1-2)
scrollkeeper (0.3.12-2 => 0.3.14-1)
sed (4.0.8-2 => 4.0.8-3)
sendmail (8.12.10-1.1.1 => 8.12.11-2)
sendmail-devel (8.12.10-1.1.1 => 8.12.11-2)
sendmail-doc (8.12.10-1.1.1 => 8.12.11-2)
setserial (2.17-13 => 2.17-14)
setup (2.5.27-1.1 => 2.5.31-1)
shadow-utils (4.0.3-12 => 4.0.3-18)
sip (3.8-1 => 3.8-2)
sip-devel (3.8-1 => 3.8-2)
skkinput (2.06.3-4 => 2.06.4-1)
slang (1.4.5-18.1 => 1.4.9-2)
slang-devel (1.4.5-18.1 => 1.4.9-2)
slocate (2.7-4 => 2.7-5)
star (1.5a18-2 => 1.5a25-4)
sudo (1.6.7p5-2 => 1.6.7p5-16)
syslinux (2.08-0.rhfc1.dag => 2.08-1)
sysstat (4.0.7-5 => 5.0.0-0.6)
taipeifonts (1.2-23 => 1.2-24)
tcl (8.3.5-93 => 8.4.5-3)
tcl-devel (8.3.5-93 => 8.4.5-3)
tcl-html (8.3.5-93 => 8.4.5-3)
tcpdump (3.7.2-8.fc1.1 => 3.8.1-4)
tcsh (6.12-5 => 6.12-6)
tetex-doc (2.0.2-8 => 2.0.2-10)
texinfo (4.5-2 => 4.6-1)
tix (8.1.4-93 => 8.1.4-95)
tk (8.3.5-93 => 8.4.5-3)
tkinter (2.2.3-7 => 2.3.3-1)
tmake (1.7-8 => 1.8-1)
tora (1.3.10-1 => 1.3.13-1)
ttfonts-ja (1.2-29 => 1.2-31)
ttfonts-zh_CN (2.13-0 => 2.14-1)
tuxracer (0.61-23 => 0.61-25)
unixODBC (2.2.5-9 => 2.2.5-10)
unixODBC-devel (2.2.5-9 => 2.2.5-10)
unixODBC-kde (2.2.5-9 => 2.2.5-10)
unzip (5.50-35 => 5.50-36)
up2date (4.1.21-3 => 4.3.11-2)
up2date-gnome (4.1.21-3 => 4.3.11-2)
usermode (1.69-1 => 1.69-4)
usermode-gtk (1.69-1 => 1.69-4)
util-linux (2.11y-29 => 2.12pre-3)
vim-X11 (6.2.121-1 => 6.2.214-1)
vim-common (6.2.121-1 => 6.2.214-1)
vim-enhanced (6.2.121-1 => 6.2.214-1)
vim-minimal (6.2.121-1 => 6.2.214-1)
vixie-cron (3.0.1-76 => 3.0.1-85)
vorbis-tools (1.0-7 => 1.0.1-1)
vsftpd (1.2.0-5 => 1.2.1-1)
w3c-libwww (5.4.0-7 => 5.4.0-8)
w3c-libwww-apps (5.4.0-7 => 5.4.0-8)
w3c-libwww-devel (5.4.0-7 => 5.4.0-8)
w3m (0.4.1-8 => 0.4.1-9)
webalizer (2.01_10-14 => 2.01_10-18)
wget (1.8.2-15.3 => 1.9.1-3)
wl (2.10.1-1.1 => 2.10.1-2)
wl-common (2.10.1-1.1 => 2.10.1-2)
wl-xemacs (2.10.1-1.1 => 2.10.1-2)
x3270 (3.2.20-4.2 => 3.3.2.p1-1)
x3270-text (3.2.20-4.2 => 3.3.2.p1-1)
x3270-x11 (3.2.20-4.2 => 3.3.2.p1-1)
xboard (4.2.7-1 => 4.2.7-2)
xchat (2.0.7-1.FC1.0 => 2.0.7-2)
xcin (2.5.3.pre3-17 => 2.5.3.pre3-20)
xemacs (21.4.14-3 => 21.4.14-6)
xemacs-el (21.4.14-3 => 21.4.14-6)
xemacs-info (21.4.14-3 => 21.4.14-6)
xemacs-sumo (20031003-3 => 20031113-1)
xinetd (2.3.12-4.10.0 => 2.3.12-6)
xosview (1.8.0-15 => 1.8.0-16)
xsane (0.91-1 => 0.92-1)
xsane-gimp (0.91-1 => 0.92-1)
xsnow (1.42-11 => 1.42-12)
yelp (2.4.0-1 => 2.5.3-1)
ypbind (1.12-3 => 1.16-1)
ypserv (2.8-3 => 2.11-1)
zlib (1.2.0.7-2 => 1.2.1.1-1)
zlib-devel (1.2.0.7-2 => 1.2.1.1-1)
zsh (4.0.7-1.1 => 4.0.9-1)
The following packages will be REPLACED:
gnome-vfs2-extras (0.5.15cnc5-0.fdr.10.1.90)
(by (0.5.15cnc5-0.fdr.10.1.90)
gnome-vfs2-smb) (0.5.15cnc5-0.fdr.10.1.90)
(4.1.25-14)
kernel-pcmcia-cs (17.0-4)
(by (0.99.10-3.1)
pcmcia-cs) (0.37-2)
(0.37-2)
losetup (0.6.4-3)
(by (3.1.31-16)
util-linux) (2.11y-29)
(2.4.25-13)
modutils-devel (2.11y-29)
(by (0.48-4)
modutils) (4.3.4-1.1)
(2.0.0-18)
mount (1.5.25-1)
(by (1.1.5-2)
util-linux) (2.4.2-1)
(1.0.16-1)
redhat-config-bind (1.1.2-1)
(by (1.3.10-1)
system-config-bind) (1.3.10-1)
(1.1.3-1)
redhat-config-date (1.9.1-1)
(by (0.6.79.5-1)
system-config-date) (0.23-1)
(1.0.6-2)
redhat-config-keyboard (1.1.4-1)
(by (1.2.11-1)
system-config-keyboard) (1.2.11-1)
(0.8.5-23)
redhat-config-kickstart (1.0.8-2)
(by (1.2.4-1)
system-config-kickstart) (0.9.15-1)
(0.9.3-6)
redhat-config-language (0.5.21-1)
(by (0.5.21-1)
system-config-language) (0.3.2-1.fr)
(8.3-93)
redhat-config-mouse (0.6.12-2.fr)
(by (2.0.7-0.1)
system-config-mouse) (2.0.5-1_30.rhfc1.at)
()
redhat-config-network (0.5.15cnc5-0.fdr.10.1.90)
(by (0.5.15cnc5-0.fdr.10.1.90)
system-config-network) (0.5.15cnc5-0.fdr.10.1.90)
(4.1.25-14)
redhat-config-network-tui (17.0-4)
(by (0.99.10-3.1)
system-config-network-tui) (0.37-2)
(0.37-2)
redhat-config-nfs (0.6.4-3)
(by (3.1.31-16)
system-config-nfs) (2.11y-29)
(2.4.25-13)
redhat-config-packages (2.11y-29)
(by (0.48-4)
system-config-packages) (4.3.4-1.1)
(2.0.0-18)
redhat-config-printer (1.5.25-1)
(by (1.1.5-2)
system-config-printer-gui, (2.4.2-1)
system-config-printer) (1.0.16-1)
(1.1.2-1)
redhat-config-proc (1.3.10-1)
(by (1.3.10-1)
system-config-proc) (1.1.3-1)
(1.9.1-1)
redhat-config-rootpassword (0.6.79.5-1)
(by (0.23-1)
system-config-rootpassword) (1.0.6-2)
(1.1.4-1)
redhat-config-samba (1.2.11-1)
(by (1.2.11-1)
system-config-samba) (0.8.5-23)
(1.0.8-2)
redhat-config-securitylevel (1.2.4-1)
(by (0.9.15-1)
system-config-securitylevel) (0.9.3-6)
(0.5.21-1)
redhat-config-securitylevel-tui (0.5.21-1)
(by (0.3.2-1.fr)
system-config-securitylevel-tui) (8.3-93)
(0.6.12-2.fr)
redhat-config-services (2.0.7-0.1)
(by (2.0.5-1_30.rhfc1.at)
system-config-services) ()
(0.5.15cnc5-0.fdr.10.1.90)
redhat-config-soundcard (0.5.15cnc5-0.fdr.10.1.90)
(by (0.5.15cnc5-0.fdr.10.1.90)
system-config-soundcard) (4.1.25-14)
(17.0-4)
redhat-config-users (0.99.10-3.1)
(by (0.37-2)
system-config-users) (0.37-2)
(0.6.4-3)
redhat-config-xfree86 (3.1.31-16)
(by (2.11y-29)
system-config-display) (2.4.25-13)
(2.11y-29)
redhat-logviewer (0.48-4)
(by (4.3.4-1.1)
system-logviewer) (2.0.0-18)
(1.5.25-1)
redhat-switch-mail (1.1.5-2)
(by (2.4.2-1)
system-switch-mail) (1.0.16-1)
(1.1.2-1)
redhat-switch-mail-gnome (1.3.10-1)
(by (1.3.10-1)
system-switch-mail-gnome) (1.1.3-1)
The following packages will be REMOVED:
apt (0.5.15cnc5-0.fdr.10.1.90)
apt-devel (0.5.15cnc5-0.fdr.10.1.90)
apt-python (0.5.15cnc5-0.fdr.10.1.90)
db4-java (4.1.25-14)
emacspeak (17.0-4)
gocr (0.99.10-3.1)
gocr-devel (0.37-2)
gstreamer-GConf (0.37-2)
perl-RPM2 (0.6.4-3)
php-imap (3.1.31-16)
subtitleripper (2.11y-29)
tclx (2.4.25-13)
transcode (2.11y-29)
xchat-tcl (0.48-4)
yum (4.3.4-1.1)
The following NEW packages will be installed:
bind-libs (9.2.3-5)
emacs-common (21.3-9)
evolution-data-server (0.0.6-1)
gnome-keyring (0.1.3-1)
gnome-vfs2-smb (2.5.6-1)
hicolor-icon-theme (0.2-1)
kernel#2.6.1-1.65 (2.6.1-1.65)
kernel-source#2.6.1-1.65 (2.6.1-1.65)
koffice (1.3-2)
libf2c (3.3.2-8)
libselinux (1.4-9)
libsoup (2.1.5-1)
libxklavier (0.97-1)
ntp#4.2.0-5 (4.2.0-5)
pcmcia-cs (3.2.7-1.3)
php-pear (4.3.4-7)
shared-mime-info (0.13-1)
system-config-bind (2.0.2-3)
system-config-date (1.7.1-1)

system-config-display (1.0.4-1)
system-config-keyboard (1.2.1-1)
system-config-kickstart (2.5.4-1)
system-config-language (1.1.5-1)
system-config-mouse (1.2.3-1)
system-config-network (1.3.15-1)
system-config-network-tui (1.3.15-1)
system-config-nfs (1.2.1-1)
system-config-packages (1.9.3-2)
system-config-printer (0.6.91-1)
system-config-printer-gui (0.6.91-1)
system-config-proc (0.25-1)
system-config-rootpassword (1.1.3-1)
system-config-samba (1.2.2-1)
system-config-securitylevel (1.3.1-1)
system-config-securitylevel-tui (1.3.1-1)
system-config-services (0.8.6-2)
system-config-soundcard (1.2.2-1)
system-config-users (1.2.8-1)
system-logviewer (0.9.5-1)
system-switch-mail (0.5.22-2)
system-switch-mail-gnome (0.5.22-2)
531 upgraded, 41 newly installed, 28 replaced, 15 removed and 0 not upgraded.
Need to get 632MB of archives.
After unpacking 351MB of additional disk space will be used.
Do you want to continue? [Y/n] Abort.

632 мегабайта для загрузки, неплохо. Это займет часа 3 при ADSL/Broadband соединении.

Примечание переводчика:

Конечно, учитывая Белорусские реалии, я бы советовал использовать такой способ обновления только тем кто имеет быстрый доступ в интернет (например на работе или в университете, а может у кого и дома ADSL) ну или тем, для кого пустяк повисеть сутки-другие на телефоне. И, естественно, я не советую делать это используя беспарольную линию от Белтелеком

Статья взята с сайта LinuxClub.by.

[ опубликовано 22/03/2004 ]

Гевин Генри (Gavin Henry). Перевод: LinuxClub.by - HOWTO: Обновляемся до Fedora Core 2 - Test1, используя apt.   Версия для печати